ECHO OFF
echo .
if %1NUL==NUL goto BADEND 
cls
echo 		          Mace+Utilities Hard Disk Installation
echo .
echo         Hinstall is a convenience, not a copy-protection feature.
echo             (Floppy disks users Ctrl C and use FINSTALL.)	
echo __________________________________________________________________________
echo                     Usage is: HINSTALL drive  (no colon)
echo .
echo    (For example: HINSTALL C would install the program on hard drive C:)
echo .
echo __________________________________________________________________________
echo                    THIS BATCH FILE WILL:
echo .
echo --make a sub-directory named MACE in the root directory on drive %1:
echo --copy files from the root directory of the distribution disk.
echo --512K or more: the larger version is copied.
echo --less than 512K: the 256K version is copied.
echo --copy RXBAK.EXE to the root directory on drive %1:
echo --give the option of auto-installing BACKUP.M_U.
echo .
echo __________________________________________________________________________
echo                Ctrl C to abort installation on
echo                            %1:
echo .
pause
md %1:\mace
copy \help.exe %1:\mace
copy \help.doc %1:\mace
copy \ut.exe %1:\mace
copy \subsq.exe %1:\mace
copy \rxbak.exe %1:\        
copy \reclaim.exe %1:\mace        
copy \sample.bat %1:\mace
cls
mtest
IF ERRORLEVEL 2 GOTO K512
IF ERRORLEVEL 1 GOTO K512
echo Installing 256K version. 
copy \256K\*.* %1:\mace
goto END 
:K640
echo Installing 640K version.
copy \640K\*.* %1:\mace
GOTO END
:K512
echo Installing 512K version.
copy \512K\*.* %1:\mace
GOTO END
:BADEND
cls
echo                     Usage is: HINSTALL drive  (no colon)
echo .
echo                  drive is the letter of the target drive    
echo    (For example: HINSTALL C would install the program on hard drive C:)
echo .
GOTO OUT
:END
cls
echo                            NOVICES
echo .
echo AUTOEXEC.BAT will be modified (or created) to call RXBAK each time
echo the machine is turned on (or re-booted with Ctrl-Alt-Del.) 
echo .
echo Then Create BACKUP.M_U will be run.  This creates the file needed
echo for perfect recovery from accidental FORMAT, (the one RXBAK updates).
echo __________________________________________________________________________
echo                        EXPERIENCED USERS
echo .
echo You may want to Ctrl-C here, so I don't modify your AUTOEXEC.BAT.
echo .
echo Place a call to \RXBAK.EXE in your AUTOEXEC.BAT file, then run the Create
echo BACKUP.M_U option.  When the machine is re-booted RXBAK will update 
echo the information needed for perfect recovery from an accidental FORMAT.
echo NOTE: Creating BACKUP.M_U does not put data in it; only RXBAK can do that.
echo __________________________________________________________________________
echo                           EVERYBODY:
echo .
echo Copy COMMAND.COM and CHKDSK.COM to the %1:\MACE directory.
echo __________________________________________________________________________
echo                  CTRL-C to abort auto-install.
echo .
pause
setup %1
:OUT
echo                           REMEMBER...
echo .
echo 512K version needs about 440K FREE to install or run.
echo Copy COMMAND.COM and CHKDSK.COM to the %1:\MACE directory.
echo __________________________________________________________________________
echo on
